com.jogamp.common.util

## Class ValueConv

- java.lang.Object
- - com.jogamp.common.util.ValueConv

-     public class ValueConv
      extends Object

  Utility class providing simple signed and unsigned primitive value conversions for byte, short, int, float and double.

  Non float to non float conversions are handled via float or double, depending on the value range.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueConv()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `byte_to_double(byte v, boolean sSigned)`
    `static float` | `byte_to_float(byte v, boolean sSigned)`
    `static int` | `byte_to_int(byte v, boolean sSigned, boolean dSigned)`
    `static short` | `byte_to_short(byte v, boolean sSigned, boolean dSigned)`
    `static byte` | `double_to_byte(double v, boolean dSigned)`
    `static int` | `double_to_int(double v, boolean dSigned)`
    `static short` | `double_to_short(double v, boolean dSigned)`
    `static byte` | `float_to_byte(float v, boolean dSigned)`
    `static int` | `float_to_int(float v, boolean dSigned)`
    `static short` | `float_to_short(float v, boolean dSigned)`
    `static byte` | `int_to_byte(int v, boolean sSigned, boolean dSigned)`
    `static double` | `int_to_double(int v, boolean sSigned)`
    `static float` | `int_to_float(int v, boolean sSigned)`
    `static short` | `int_to_short(int v, boolean sSigned, boolean dSigned)`
    `static byte` | `short_to_byte(short v, boolean sSigned, boolean dSigned)`
    `static double` | `short_to_double(short v, boolean sSigned)`
    `static float` | `short_to_float(short v, boolean sSigned)`
    `static int` | `short_to_int(short v, boolean sSigned, boolean dSigned)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueConv

          public ValueConv()

  - ### Method Detail

    - #### float_to_byte

          public static final byte float_to_byte(float v,
                           boolean dSigned)

    - #### float_to_short

          public static final short float_to_short(float v,
                             boolean dSigned)

    - #### float_to_int

          public static final int float_to_int(float v,
                         boolean dSigned)

    - #### double_to_byte

          public static final byte double_to_byte(double v,
                            boolean dSigned)

    - #### double_to_short

          public static final short double_to_short(double v,
                              boolean dSigned)

    - #### double_to_int

          public static final int double_to_int(double v,
                          boolean dSigned)

    - #### byte_to_float

          public static final float byte_to_float(byte v,
                            boolean sSigned)

    - #### byte_to_double

          public static final double byte_to_double(byte v,
                              boolean sSigned)

    - #### short_to_float

          public static final float short_to_float(short v,
                             boolean sSigned)

    - #### short_to_double

          public static final double short_to_double(short v,
                               boolean sSigned)

    - #### int_to_float

          public static final float int_to_float(int v,
                           boolean sSigned)

    - #### int_to_double

          public static final double int_to_double(int v,
                             boolean sSigned)

    - #### byte_to_short

          public static final short byte_to_short(byte v,
                            boolean sSigned,
                            boolean dSigned)

    - #### byte_to_int

          public static final int byte_to_int(byte v,
                        boolean sSigned,
                        boolean dSigned)

    - #### short_to_byte

          public static final byte short_to_byte(short v,
                           boolean sSigned,
                           boolean dSigned)

    - #### short_to_int

          public static final int short_to_int(short v,
                         boolean sSigned,
                         boolean dSigned)

    - #### int_to_byte

          public static final byte int_to_byte(int v,
                         boolean sSigned,
                         boolean dSigned)

    - #### int_to_short

          public static final short int_to_short(int v,
                           boolean sSigned,
                           boolean dSigned)